package be.jeffcheasey88.peeratcode.parser.java.operation;

import java.util.List;

import be.jeffcheasey88.peeratcode.parser.java.Value;
import be.jeffcheasey88.peeratcode.parser.java.Variable;

public class ForOperation extends OperationBag{
	
	private List<Variable> init_vars;
	private List<Value> init_values;
	
	private Value condition;
	
	private List<Value> updates;
	
	public ForOperation(List<Variable> init_vars, List<Value> init_values, Value condition, List<Value> updates){
		super();
		
		this.init_vars = init_vars;
		this.init_values = init_values;
		
		this.condition = condition;
		this.updates = updates;
	}
	
	public List<Variable> initVars(){
		return this.init_vars;
	}
	
	public List<Value> initValues(){
		return this.init_values;
	}
	
	public Value getCondition(){
		return this.condition;
	}
	
	public List<Value> getUpdates(){
		return this.updates;
	}

}
