package be.jeffcheasey88.peeratcode.parser.java.operation;

import java.util.ArrayList;
import java.util.List;

import be.jeffcheasey88.peeratcode.parser.java.JavaElement;
import be.jeffcheasey88.peeratcode.parser.java.Operation;
import be.jeffcheasey88.peeratcode.parser.java.Variable;
import be.jeffcheasey88.peeratcode.parser.java.Operation.OperationContainer;
import be.jeffcheasey88.peeratcode.parser.java.Variable.VariableContainer;

public class OperationBag extends Operation implements VariableContainer, OperationContainer{

	private List<JavaElement> elements;
	
	public OperationBag(){
		this.elements = new ArrayList<>();
	}
	
	@Override
	public void addVariable(Variable variable){
		this.elements.add(variable);
	}
	
	@Override
	public void addOperation(Operation operation){
		this.elements.add(operation);
	}

}
